<?php
namespace Rocket54\R54L10ntest\ViewHelpers;



use TYPO3\CMS\Extbase\Utility\DebuggerUtility;
use TYPO3\CMS\Fluid\Core\ViewHelper\AbstractViewHelper;

class GetContentsViewHelper extends AbstractViewHelper {

	/**
	 * contentRepository
	 *
	 * @var \Rocket54\R54L10ntest\Domain\Repository\ContentRepository
	 * @inject
	 */
	protected $contentRepository;

	/**
	 * Arguments initialization
	 *
	 * @return void
	 */
	public function initializeArguments() {
		$this->registerArgument('column', 'int','', FALSE, 0);
		$this->registerArgument('pageUid', 'int','', FALSE);
		$this->registerArgument('slide', 'int','', FALSE);
		$this->registerArgument('as', 'string','', TRUE);
		$this->registerArgument('uids', 'array','', FALSE);
	}

	public function render() {
		$contents = $this->getContents();
		$this->templateVariableContainer->add($this->arguments['as'], $contents);
		$output = $this->renderChildren();
		$this->templateVariableContainer->remove($this->arguments['as']);
		return $output;
	}

	protected function getContents(){
		if ($this->arguments['uids']) {
			return $this->contentRepository->findContentsByUid($this->arguments['uids']);
		} else {
			return $this->contentRepository->findContents($this->arguments['pid'], $this->arguments['column'], $this->arguments['slide']);
		}
	}
}

?>